import java.io.*;

public class DemoFile
{
    public static void main(String[] args) throws IOException {
        File file = new File("/home/oslejsek/Dokumenty/PB162/interface.png");
        //File home = new File("home");
        //File oslejsek = new File(home, "oslejsek");
        
        System.out.println("file exits? " + file.exists());

        System.out.println(file.getAbsoluteFile());
        System.out.println(file.getAbsolutePath());
        System.out.println(file.getCanonicalFile());
        System.out.println(file.getCanonicalPath());
        
    }
    
    public static void dirDemo() {
        File file = new File("/home/oslejsek/Dokumenty/PB162");
        
        for (File f :file.listFiles(new MyFilter())) {
            System.out.println(f.getPath());
        }
    }

    public static void dirDemoWithFileFilter() {
        File file = new File("/home/oslejsek/Dokumenty/PB162");
        
        File[] list = file.listFiles(
            new FileFilter() {
                public boolean accept(File f) {
                    return f.getPath().endsWith(".ods");
                }   
            }
        );
        
        for (File f: list) {
            System.out.println(f.getPath());
        }
    }
}
